using System;
using System.Linq;

namespace Zadatak_2
{
    class Program
    {
        static void Main(string[] args)
        {
            int N = Convert.ToInt32(Console.ReadLine());
            double[] zarada = new double[N];
            double[,] input_ = new double[N, 2];
            for (int i = 0; i < N; i++)
            {
                string[] input = Console.ReadLine().Split(' ');
                double A = Convert.ToDouble(input[0]);
                double P = Convert.ToDouble(input[1]);
                input_[i, 0] = A;
                input_[i, 1] = P;
            }
            double[,] temp = new double[N, N];
            for (int i = 0; i < N; i++)
            {
                for (int j = 0; j < N; j++)
                {
                    if (input_[i, 1] <= input_[j, 1])
                    {
                        temp[i, j] = input_[j, 0];
                    }
                }
            }
            for (int i = 0; i < N; i++)
            {
                for (int j = 0; j < N; j++)
                {
                    zarada[i] += (temp[i, j] * (input_[i, 1] / 100));
                }
            }
            Console.WriteLine(zarada.Max());
        }
    }
}